import { ITabPro } from "../../1properties/0define/1comp/tab";
import React from "react";
interface IState {
    renderindex: number;
}
export default class Tab extends React.PureComponent<ITabPro, IState> {
    active: string;
    constructor(props: ITabPro);
    handleNavSelect: (item: any) => void;
    _rederOne: (cell: any) => React.JSX.Element;
    renderLabel(): React.JSX.Element;
    renderOne(cell: any): React.JSX.Element;
    renderItem(node: any): any;
    shouldComponentUpdate(prev: ITabPro): boolean;
    renderBody(): any;
    render(): React.JSX.Element;
}
export {};
